dipy (1.11.0-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Skip test_dki.py on s390x. Closes: #1100833.
  * Avoid division by zero on single-CPU systems.

 -- Santiago Vila <sanvila@debian.org>  Sat, 22 Mar 2025 12:40:00 +0100

dipy (1.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1096208
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Removed several applied upstream.
  * Updated the lists of tests to skip due to internet usage

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Mar 2025 14:13:33 +0100

dipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Collin Watson ]
  * Fix skipping long tests
    Closes: #1090768

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2024 16:47:12 +0100

dipy (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Added patch to make the docs more reproducible.
    Removed "tests_tempdir" patch as it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Dec 2024 15:15:30 +0100

dipy (1.10.0~rc1-2) unstable; urgency=medium

  * Team upload.
  * Revert the running of the tests in parallel.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Nov 2024 17:16:28 +0100

dipy (1.10.0~rc1-1) unstable; urgency=medium

  * Team upload.
  * Forward python3 patch to upstream.
  * Snapshot of https://github.com/dipy/dipy/pull/3364/ (preparation for a
    1.10.0 release). Closes: #1081694
  * Refreshed patches.
  * Improve privacy patch
  * d/patches/tests_tempdir: added
  * Standards-Version: 4.7.0 (routine-update)
  * d/rules: adjust how xvfb is used to run the tests.
  * Run the tests in parallel
  * Run the tests with pybuild and the autopkgtests using pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 19:03:18 +0100

dipy (1.9.0-8) unstable; urgency=medium

  * Pandas is optional, move it to Recommends; skip it as a build-dep on
    mips64el for now.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 15:16:36 +0200

dipy (1.9.0-7) unstable; urgency=medium

  * Team upload.
  * d/tests/control: python3-tables is not required on s390x. Also, don't skip
    any extra tests just for s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 14:39:33 +0200

dipy (1.9.0-6) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to add Python 3.13 support. Closes:
    #1081694
  * Backport patch from upstream for better big-endian compatibility.
  * d/control: drop python3-tables build-dep for s390x, it is optional
    and not currently available.
  * d/patches/improve-fibonacci_sphere-reliability: adapted a fix from
    upstream to improve the reliability of a test.
  * Added patch to avoid syntax warnings from LaTeX embedded in
    docstrings
  * Link docs against python3-doc
  * d/control: drop "python-is-python3"; added patch to not need this
  * Improve cross-building by adjusting the python*-dev dependencies as per
    https://wiki.debian.org/CrossBuildPackagingGuidelines#Python_extensions
  * d/rules: drop special handling of s390x
  * d/rules: deep the sphinx object.inv in the -doc package
  * d/control: add build-dep on pkgconf to silence warning.
  * Added patch to remove some flaky test assertions about execution
    durations

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Sep 2024 14:07:44 +0200

dipy (1.9.0-5) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: skip test_check_img_shapes on all 32-bit archs.
    Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 15:06:36 +0200

dipy (1.9.0-4) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: fix i386 autopkgtest
  * d/patches/relay_comparison: forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 15:03:21 +0200

dipy (1.9.0-3) unstable; urgency=medium

  * Team upload.
  * Skip the test_check_img_shapes on 32-bit systems. Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 May 2024 17:19:21 +0200

dipy (1.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Fix FTBFS when built with the 'nocheck' profile
    Closes: #1070515

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

  [ Étienne Mollier ]
  * d/control: python3-nibabel is also needed for the doc.

  [ Michael R. Crusoe ]
  * d/control: h5py, trx, and tqdm are also required to build the docs.
  * Added test patch to fix pytest module-level setup. Closes: #1068146
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: remove obsolete "XB-Python3-Version" field.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 10 May 2024 19:12:08 +0200

dipy (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * skip-tests-needing-internet.patch: refresh.
  * deb_no_sources_for_docs patch: unfuzz.
  * no-network.patch: unfuzz.
  * skip-stringent-test.patch: remove.
    Patched files disappeared upstream.
  * sphinx-default.patch: refresh.
  * fix-privacy-breaches.patch: refresh.
  * fix-endianness.patch: remove: applied upstream.
  * clear-cython.patch: remove: applied upstream.
  * d/{rules,t/run-unit-test}: extend net skipping.
    Some of the test initially skipped though patch were not applying
    properly anymore.  This change puts the skipping logic in test driver
    invocation, in order to reduce the overhead of rebasing patches.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 18:03:49 +0100

dipy (1.8.0-2) unstable; urgency=medium

  * fix-endianness.patch: new: fix test failure on s390x.
  * fix-privacy-breaches.patch: declare forwarding not needed.
  * clear-cython.patch: new: remove cython dependency. (Closes: #1060438)
  * d/rules: skip long tests at build time.
    This is an attempt to significantly reduce build time, notably on slow
    builders like armel or riscv64, the latter having been hogged for more
    than thirteen hours.  Tests have also more verbose output to ease time
    stamping, in case other tests still affect significantly total time.
  * d/rules: merge s390x and long test skip specs.
    This rationalizes the way specifications are handled and resolves
    problems caused by stateful changes caused by raw removal of files
    in the s390x case.
  * d/t/*: move tests to script run-unit-test.
    This makes modifications to the test command easier to read, and also
    facilitates future editions.  The new test also ensures all supported
    python3 versions are indeed tested, and it includes an exclusion list
    in order to avoid running into debci time limits. (Closes: #1058661)
  * d/t/run-unit-test: also skip s390x tests.
  * d/rules,d/t/run-unit-test: warn that skips must be consistent.
  * d/rules: remove unused variable related to cython version.

 -- Étienne Mollier <emollier@debian.org>  Mon, 15 Jan 2024 20:49:26 +0100

dipy (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0  (Closes: #1060176)
  * Patches deleted after application upstream: python3, crossbuild.patch,
    spelling-error-in-binary.patch, and fix-invalid-version.patch.
  * Patches refreshed: deb_no_sources_for_docs patch,
    skip-tests-needing-internet.patch, skip_wall-clock_test.patch,
    no-network.patch, skip-stringent-test.patch and relay_comparison.patch.
  * d/{control,rules}: migrate to dh-sequence-python3.
  * d/control: build depends on pybuild-plugin-pyproject and python3-mesonpy.
  * d/control: doc build depends on python3-skimage and python3-sphinx-design.
  * d/control: build time tests now depend on python3-trx-python.
  * d/control: python-dipy-doc depends on libjs-sphinxdoc & node-mathjax-full.
  * d/t/control: remove needs-internet restriction.
    The test suite is in a state that works appropriately without Internet.
  * d/rules: declare matplotlib backend in environment.
  * d/rules: slight attempt at improving the general readability.
  * d/rules: fix the build date in documentation.
  * d/rules: update dist-packages cleanup pattern.
  * d/rules: replace references to cdn jsdelivr by uses of a local file.
  * d/rules: remove embedded sphinx javascript.
    This is done in favor of using links to the canonical scripts instead.
  * d/rules: introduce dh_fixperms scripting.
    This fixes a couple of occurrences of executables not elf nor scripts.
  * d/python3-dipy.install: copy all example files instead of just scripts.
  * d/python-dipy-doc.links: point to libjs-sphinxdoc scripts.
  * sphinx-default.patch: new: apply default theme.
    This avoids depending on grg theme not available yet.
  * skip-tests-needing-internet.patch: skip more tests.
  * fix-i386.patch: zero precision for test_ascm_accuracy.
    The test is not capable of decimal precision on i386, and possibly
    other 32-bit cpu architectures.
  * fix-privacy-breaches.patch: new: uninline youtube video.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jan 2024 22:26:24 +0100

dipy (1.7.0-4) unstable; urgency=medium

  * Team upload.
  * Take over the suggested solution by Drew Parsons to avoid comparison of
    floating point numbers
    Closes: #1053265

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 14:10:28 +0100

dipy (1.7.0-3) unstable; urgency=medium

  * Team upload.

  [ Nathan Pratta Teodosio ]
  * skip-streamwarp-test-in-big-endian.patch: skip streamwarp tests in
    big endian architectures (Closes: #1050037).

  [ Michael R. Crusoe ]
  * d/patches: update forwarding status
  * d/control, d/clean, d/rules: cleanup better after a build. Closes: #1044608
  * d/patches/python3: rewrite some hashbang headers that dh_python missed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Sep 2023 10:48:22 +0200

dipy (1.7.0-2) unstable; urgency=medium

  * skip-stringent-test.patch: new: skip a failing test.
    The test_cross is too stringent and only succeeds on a couple of
    architectures like amdd64 and similar.  This fixes ftbfs on arm64,
    ppc64el, riscv64 and possibly others.  This is not sufficient to
    resolve the additional failures seen on big endian systems though.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 15:45:57 +0200

dipy (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/control: cleanup build dependency on ancient nibabel version.
  * d/rules: replace html-after-examples by html target.
    html-after-examples has been replaced by html-after-examples-legacy,
    which looks to be mostly the same as the new html target (which in
    turn also has an html-legacy target)
  * d/rules: fix shebangs as python is not python3.
  * d/rules: remove inc_static.nii.gz from python3 modules directory.
  * no-network.patch: added; skip sphinx gallery.
    The sphinx gallery only works when accessing Internet resources.
  * skip-tests-needing-internet.patch: update.
    There is one new test which requires being skipped due to requiring
    Internet access.
  * deb_no_sources_for_docs patch: refresh.
  * crossbuild.patch: refresh.
  * spelling-error-in-binary.patch: refresh; partially applied upstream.
  * fix-invalid-version.patch: new patch.
    This fixes failure to build the documentation due to a trailing dot
    landing somehow in the module version.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Jul 2023 18:25:16 +0200

dipy (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 19:35:20 +0100

dipy (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Do not measure wall-clock time (thanks for the patch to Rebecca N.
    Palmer)
    Closes: #1029533

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 20:12:50 +0100

dipy (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to work with numpy 1.24

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 19:00:33 +0100

dipy (1.5.0-5) unstable; urgency=medium

  * d/control: recommend python3-vtk9 instead of vtk7.
  * d/t/control: bump to vtk9 in test dependencies too.
    The missing dependency on python3-vtk7 seems to have caused a red
    herring in numpy 1.24 transition. (Closes: #1027200)
  * d/copyright: bump copyright year.
  * d/control: declare compliance to standards version 4.6.2.
  * d/rules: make data file not executable.
  * d/*.lintian-overrides: fix mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 13:14:10 +0100

dipy (1.5.0-4) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore dh_dwz if it fails (currently failing on armel)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Mar 2022 13:39:31 +0530

dipy (1.5.0-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore another test on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 20:46:34 +0530

dipy (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore some tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 15:29:17 +0530

dipy (1.5.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Lintian-override for
    package-contains-documentation-outside-usr-share-doc
  * Simplify dh_python3 override
  * Build-Depends: python3-setuptools

  [ Étienne Mollier ]
  * Add autopkgtests (Closes: #994575)
  * Add skip-tests-needing-internet.patch
  * d/rules: rework the test suite to use pytest instead of nosetest
  * d/control: remove dependency on python3-nose
  * d/control: add test build-dep to python3-tk
  * d/control: add test build-dep on python3-pil.tkinter

  [ Nilesh Patra ]
  * Fixing autopkgtest by testing in the installed dipy (not source)
  * d/salsa-ci.yml: Disable reprotest
  * Fix build on i386 (failing due to precision errors)
  * Copy dipy/data in autopkgtest suite as well
  * Skip running examples as autopkgtest for now - these consume a lot
    of resources and might be unsuited for our runners.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 13:10:42 +0000

dipy (1.4.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #983840)

  [ Étienne Mollier ]
  * New upstream version 1.4.1.
  * d/watch: fix broken link to Github and refer through https instead of http.
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Apply multi-arch hints.
    + python3-dipy-lib: Add Multi-Arch: same.
    + python-dipy-doc: Add Multi-Arch: foreign.
  * d/control, crossbuild.patch: demote python3-h5py, -nibabel and -tqdm
    build-dependencies as <!nocheck>, and prevent setup.py to forcefully
    ask for the corresponding modules; this enables cross compilation.
    (Also demote python3-scipy to reduce the load on nocheck build profiles.)
  * d/control, d/rules: make python-dipy-doc depend on libjs-mathjax, and avoid
    one to refer to mathjax online while reading the documentation, which would
    otherwise be a privacy breach.
  * d/control: add myself to uploaders.
  * d/rules: make all example scripts not executable, for consistency.
  * d/rules: enable hardening.
  * d/copyright: update copyright years.
  * add spelling-error-in-binary.patch.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Sep 2021 12:58:08 +0200

dipy (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: prevent build time test suite from accessing network resources.
    Closes: #987517
  * d/rules: install .so files in python3-dipy-lib; this makes several dipy
    modules, formerly missing, now usable.
    Closes: #987453

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 25 Apr 2021 11:15:12 +0200

dipy (1.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Tag more test dependencies <!nocheck>. (Closes: #980336)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 11:52:53 +0100

dipy (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * (Build-)Depends: python3-tqdm

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:34:26 +0100

dipy (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 08:57:11 +0100

dipy (1.2.0-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/
    + provide python3 packaging
    + suggest python-dipy-doc (Closes: #849904)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Drop Python2 package
    Closes: #936400, #942973, #923657
  * Versioned Build-Depends: python3-nibabel (>= 3.0.0)
  * Make Debian Med team maintainer and move package to med-team on Salsa
  * Remove debian/gbp.conf since repository now follows default layout
    as described in policy
  * Remove unused debian/blends file
  * Remove outdated debian/README.source
  * debhelper-compat 13 (routine-update)
  * Remove debian/cythonized-files
  * (Build-)Depends: pandas

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 22:37:04 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-dipy-lib`.
